from DateTime import DateTime
from zope.component import getMultiAdapter
from plone.theme.interfaces import IDefaultPloneLayer
from Products.Five.browser.pagetemplatefile import ViewPageTemplateFile
from plone.app.layout.viewlets.common import ViewletBase


class IThemeSpecific(IDefaultPloneLayer):
    """Marker interface that defines a Zope 3 skin layer bound to a Skin
       Selection in portal_skins.
    """

class FooterViewlet(ViewletBase):
    render = ViewPageTemplateFile('footer.pt')

    def update(self):
        portal_state = getMultiAdapter((self.context, self.request),
                                        name=u'plone_portal_state')
        self.portal_title = portal_state.portal_title
        self.portal_url = portal_state.portal_url()
